/**
 * Created by John on 7/11/2017.
 */
var express = require('express');
var passport = require('passport');

var app = express();

//make Sequelize a singleton
app.set('models', require('./components/models'));
var models = app.get('models');

var port = process.env.PORT || 3414;

var env         = process.env.NODE_ENV || "dev";
var config      = require("./components/config/config.json")[env];

//initialize logging
var winston = require('winston');
var win = require('./components/config/logging')(winston, config);
app.set('winston', win);
var logger = win.loggers.get("main");

app.listen(port, '0.0.0.0');
logger.info("------------> M3-API START ! <------------------");
logger.info("Pid : " +process.pid + " - Fresenius Console API Server started on port " + port);

//initialize passport
require('./components/config/passport')(passport, models);

//initialize express
require('./components/config/express')(app, passport);

//initialize routes
require('./routes/api')(app, passport, models);
//require('./routes/test')(app, passport, models);
require('./routes/web')(app, passport, models);

process.on('uncaughtException', function (err) {
    var msg = (new Date).toUTCString() + ' uncaughtException:';
    logger.error(msg, err.message);
    logger.error(err.stack);
    process.exit(1);
});

module.exports = app;
