/**
 * Created by John on 1/14/2016.
 */
module.exports = function(sequelize, DataTypes) {
    var VendorList = sequelize.define('VendorList', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            vendorId: {
                type: DataTypes.STRING,
                field: 'vendor_id'
            },
            vendorDisplay: {
                type: DataTypes.STRING,
                field: 'vendor_display'
            },
            minimumOrderAmount: {
                type: DataTypes.DECIMAL(9,2),
                field: 'minimum_order_amount'
            },
            fee: {
                type: DataTypes.DECIMAL(9,2),
                field: 'fee'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_vendor_list',
            indexes: [
                // Create a unique index on device timestamp
                {
                    unique: true,
                    fields: ['vendorId']
                }
            ]
        }
    );
    return VendorList;
};