/**
 * Created by TFG on 9/10/2019.
 * Model to handle the table tbl_vendor_route
 * Instead to modify the tbl_vendor_list, for compatibility issue, this table was created to store the
 * relationship between vendor and where to place the app generated file (IO - SAP)
 * The content of the table is sent to the app during the login and is also shown in the web
 * console view in the vendor list tab
 */
module.exports = function(sequelize, DataTypes) {
    var VendorRoute = sequelize.define('VendorRoute', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            vendorId: {
                type: DataTypes.STRING,
                field: 'vendor_id'
            },
            vendorDisplay: {
                type: DataTypes.STRING,
                field: 'vendor_display'
            },
            vendorPathRoute: {
                type: DataTypes.STRING,
                field: 'vendor_route'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_vendor_route',
            indexes: [
                // Create a unique index on device timestamp
                {
                    unique: true,
                    fields: ['vendorId']
                }
            ]
        }
    );
    return VendorRoute;
};