/**
 * Created by TFG on 05/21/2020.
 * Model to handle the table tbl_vendor_route_app
 * This table is sent to the app CHIPS during the login (if CHIP > 1.6.20).
 * This table is NOT edited via the web console, it is built using other tables.
 * Modified for FRES-169
 */
module.exports = function(sequelize, DataTypes) {
    var VendorRouteApp = sequelize.define('VendorRouteApp', {
        id: {
            type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            vendorId: {
                type: DataTypes.STRING,
                field: 'vendor_id'
            },
            vendorPathRoute: {
                type: DataTypes.STRING,
                field: 'vendor_route'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_vendor_route_app',
            indexes: [
                // Create a unique index
                {
                    unique: true,
                    fields: ['vendorMaterial']
                }
            ]
        }
    );
    return VendorRouteApp;
};
