/**
 * Created by will on 10/13/15.
 */

angular.module('app.logging', [])
.provider(
    "$exceptionHandler", {
        $get: function(exceptionLoggingService){
            return(exceptionLoggingService); }
    }
).factory(
    "exceptionLoggingService",
    ["$log","$window",
        function($log, $window) {
            function error(exception, cause){
                $log.error.apply($log, arguments);
                try {
                    var errorMessage = exception.toString();
                    var xhttp = new XMLHttpRequest();
                    xhttp.open("POST", "/api/saveLogData", true);
                    xhttp.setRequestHeader("Content-type", "application/json");
                    xhttp.send(JSON.stringify({
                            url: $window.location.href,
                            message: errorMessage,
                            type: "exception",
                            cause: (cause || "")
                        })
                    );
                } catch (loggingError){
                    $log.warn("Error server-side logging failed");
                    $log.log(loggingError);
                }
            } return(error);
        }]
).factory(
    "m3Logger",
    ["$log","$window",
        function($log, $window) {
            return({
                error: function(message) {
                    $log.error.apply($log, arguments);
                    $.ajax({
                        type: "POST",
                        url: "/logger",
                        contentType: "application/json",
                        data: angular.toJson({
                            url: $window.location.href,
                            message: message,
                            type: "error" })
                    });
                },
                debug: function(message){
                    $log.log.apply($log, arguments);
                    $.ajax({
                        type: "POST",
                        url: "/clientlogger",
                        contentType: "application/json",
                        data: angular.toJson({
                            url: $window.location.href,
                            message: message,
                            type: "debug" })
                    });
                }
            });
        }]
);